#include <3ds.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "test_bin.h"
u8* buffer;
int size=0;
int ret=0;

int main(int argc, char **argv){
	// Init
	srvInit(); aptInit(); hidInit(); csndInit();
	gfxInitDefault(); consoleInit(GFX_TOP, NULL);
	size= test_bin_size;
	buffer = linearAlloc(size);
	memcpy(buffer,(u8*)test_bin,size);
	// Loop
	while (aptMainLoop()){
		hidScanInput();
		u32 kDown = hidKeysDown();
		if(kDown & KEY_A){
			ret = csndPlaySound(
				8, /* Đ`l */
				SOUND_FORMAT_16BIT | SOUND_REPEAT,  /* tH[}bg */
				48000, /* TvO[g */
				1.0f,  /* {[ ő1.0f */
				0.0f, /* p() -1.0f`+1.0f */
				buffer, /* TEhobt@w */
				buffer, /* [vubN */
				size); /* TEhobt@TCY */
			printf("%d ",ret);
		}
		if (kDown & KEY_START) break;
		GSPGPU_FlushDataCache(buffer, size);
		gfxFlushBuffers(); gfxSwapBuffers(); gspWaitForVBlank();
	}
	linearFree(buffer);
	CSND_SetPlayState(8, 0);
	csndExecCmds(true);
	gfxExit();
	return 0;
}
